<?php

class formWidgetBootmodalOptions extends cmsForm{
    
    public function init() {
        return array(
            

			array(
            'type' => 'fieldset',
            'title' => 'Общие настройки',
            'childs' => array(
                new fieldString('options:modal_id', array(
                    'title' => LANG_WD_MODAL_ID,
                    'hint' => LANG_WD_MODAL_ID_HINT
                )),
                new fieldNumber('options:period', array(
                    'title' => LANG_WD_MODAL_PERIOD,
                    'hint' => LANG_WD_MODAL_PERIOD_HINT
                )), 
                new fieldHtml('options:cont', array(
                    'title' => LANG_WD_MODAL_CONT
                )),
            new fieldNumber('options:dayday', array(
                'title' => LANG_WD_MODAL_DAY,
            )),
            new fieldList('options:close_bg_click', array(
                'title' => LANG_WD_CLOSE_BG_CLICK,
                'default' => 'false',
                'items' => array(
                    'false' => 'Запретить',
                    'true' => 'Разрешить',
                )
        )),
            )
        ), 
        
        array(
            'type' => 'fieldset',
            'title' => 'Настройка внешнего вида',
            'childs' => array(
            
            new fieldColor('options:closecolor', array(
                'title' => LANG_WD_CLOSE_COLOR,
            )),
            new fieldList('options:close_size', array(
                'title' => LANG_WD_CLOSE_SIZE,
                'default' => '32',
                'items' => array(
                    '24' => '24px',
                    '32' => '32px',
                    '48' => '48px',
                    '64' => '64px'
                )
        )),
            )
            )

        );
    }
    
}
