<?php $this->addCSS('templates/default/widgets/bootmodal/css/magnific-popup.css'); ?>
<?php $this->addCSS('templates/default/widgets/bootmodal/css/animate.min.css'); ?>
<?php $this->addJS('templates/default/widgets/bootmodal/js/jquery.magnific-popup.min.js'); ?>

<div id="<?= $modal_id; ?>" class="white-popup mfp-hide">
    <?= $cont; ?>
</div>

<style>

.white-popup {
    position: relative;
    background: #FFF;
    padding: 20px;
    width: auto;
    max-width: 500px;
    margin: 20px auto;
	position: relative;
	z-index: 9999;
}

.mfp-close-btn-in .mfp-close {
    color: <?= $closecolor; ?> !important;
    font-size: <?= $close_size; ?>px !important;
}

</style>

<?php ob_start(); ?>

<script>
 jQuery(document).ready(function($) {
  var cookieOptions = { expires: <?= $dayday; ?>, path: '/' };
  if ($.cookie('visit') == undefined) {
    setTimeout(function() {
    $.cookie('visit', true, cookieOptions);
    $.magnificPopup.open({
    items: {
    src: $('#<?= $modal_id; ?>'),
    },
    type: 'inline',
    midClick: true,
    closeOnBgClick: <?= $close_bg_click; ?>,
    removalDelay: 300
    });
  }, <?= $period; ?>);
 }
 }); 
 </script>

<?php $this->addBottom(ob_get_clean()); ?>